My Notes
- OpenAPI Version:
3.1.0 - API Version:
1.0.0
Operations
POST my_notes.transcript_generated
- Method:
POST - Path:
my_notes.transcript_generated - Tags: my_notes
Request Body
Content-Type: application/json
-
event(required)string, possible values:"my_notes.transcript_generated"— The name of the event. -
event_ts(required)integer, format:int64— The event's timestamp. -
payload(required)object-
account_id(required)string— The account ID of the note owner. -
object(required)object— Information about the note.-
note_id(required)string— The note ID. -
note_link(required)string, format:uri— The link to the note. -
meeting_idstring— The Zoom meeting ID. Returned only when the note is associated with a Zoom meeting.
-
-
operator_id(required)string— The user ID of the user who triggered the event.
-
Example:
{
"event": "my_notes.transcript_generated",
"event_ts": 1,
"payload": {
"account_id": "",
"operator_id": "",
"object": {
"note_id": "",
"note_link": "",
"meeting_id": ""
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string, possible values:"my_notes.transcript_generated"— The name of the event. -
event_ts(required)integer, format:int64— The event's timestamp. -
payload(required)object-
account_id(required)string— The account ID of the note owner. -
object(required)object— Information about the note.-
note_id(required)string— The note ID. -
note_link(required)string, format:uri— The link to the note. -
meeting_idstring— The Zoom meeting ID. Returned only when the note is associated with a Zoom meeting.
-
-
operator_id(required)string— The user ID of the user who triggered the event.
-
Example:
{
"event": "my_notes.transcript_generated",
"event_ts": 1,
"payload": {
"account_id": "",
"operator_id": "",
"object": {
"note_id": "",
"note_link": "",
"meeting_id": ""
}
}
}
POST my_notes.note_completed
- Method:
POST - Path:
my_notes.note_completed - Tags: my_notes
Request Body
Content-Type: application/json
-
event(required)string, possible values:"my_notes.note_completed"— The name of the event. -
event_ts(required)integer, format:int64— The timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the note owner. -
object(required)object— Information about the note.-
note_id(required)string— The note ID. -
note_link(required)string, format:uri— The link to the note. -
meeting_idstring— The Zoom meeting ID. Returned only when the note is associated with a Zoom meeting.
-
-
operator_id(required)string— The user ID of the user who triggered the event.
-
Example:
{
"event": "my_notes.note_completed",
"event_ts": 1,
"payload": {
"account_id": "",
"operator_id": "",
"object": {
"note_id": "",
"note_link": "",
"meeting_id": ""
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string, possible values:"my_notes.note_completed"— The name of the event. -
event_ts(required)integer, format:int64— The timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the note owner. -
object(required)object— Information about the note.-
note_id(required)string— The note ID. -
note_link(required)string, format:uri— The link to the note. -
meeting_idstring— The Zoom meeting ID. Returned only when the note is associated with a Zoom meeting.
-
-
operator_id(required)string— The user ID of the user who triggered the event.
-
Example:
{
"event": "my_notes.note_completed",
"event_ts": 1,
"payload": {
"account_id": "",
"operator_id": "",
"object": {
"note_id": "",
"note_link": "",
"meeting_id": ""
}
}
}
POST my_notes.note_generated
- Method:
POST - Path:
my_notes.note_generated - Tags: my_notes
Request Body
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— The timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the user who generated the note. -
object(required)object— Information about the note.-
created_time(required)string, format:date-time— The creation time of the note in RFC 3339 format. -
note_id(required)string— The note ID. -
note_link(required)string— The link to the note. -
note_name(required)string— The name of the note. -
updated_time(required)string, format:date-time— The last updated time of the note in RFC 3339 format. -
meeting_idstring— The meeting ID associated with the note. This field is only returned when the note is linked to a Zoom Meeting. Otherwise, it is an empty string.
-
-
operator(required)string, format:email— The email address of the user who generated the note. -
operator_id(required)string— The user ID of the user who generated the note.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"note_id": "",
"note_link": "",
"note_name": "",
"created_time": "",
"updated_time": "",
"meeting_id": ""
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— The timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the user who generated the note. -
object(required)object— Information about the note.-
created_time(required)string, format:date-time— The creation time of the note in RFC 3339 format. -
note_id(required)string— The note ID. -
note_link(required)string— The link to the note. -
note_name(required)string— The name of the note. -
updated_time(required)string, format:date-time— The last updated time of the note in RFC 3339 format. -
meeting_idstring— The meeting ID associated with the note. This field is only returned when the note is linked to a Zoom Meeting. Otherwise, it is an empty string.
-
-
operator(required)string, format:email— The email address of the user who generated the note. -
operator_id(required)string— The user ID of the user who generated the note.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"note_id": "",
"note_link": "",
"note_name": "",
"created_time": "",
"updated_time": "",
"meeting_id": ""
}
}
}